## noiz2sa 0.51a

=== src/Makefile ===
# Noiz2sa makefile(MinGW 2.0.0)
# $Id: Makefile,v 1.4 2003/08/10 09:00:05 kenta Exp $

NAME   = noiz2sa
O      = o
RM     = rm -f
CC     = gcc
CXX    = g++

PROG        = $(NAME).exe

DEFAULT_CFLAGS = `sdl-config --cflags`
LDFLAGS        = `sdl-config --libs` -L. -lmingw32 -lmingwex -lSDL_mixer -lbulletml -mwindows -lstdc++

MORE_CFLAGS = -O3

CFLAGS  = $(DEFAULT_CFLAGS) $(MORE_CFLAGS)
CPPFLAGS  = $(DEFAULT_CFLAGS) $(MORE_CFLAGS) -I./bulletml/

OBJS =	$(NAME).$(O) ship.$(O) shot.$(O) frag.$(O) bonus.$(O) \
	foe.$(O) foecommand.$(O) barragemanager.$(O) attractmanager.$(O) \
	background.$(O) letterrender.$(O) \
	screen.$(O) clrtbl.$(O) vector.$(O) degutil.$(O) rand.$(O) soundmanager.$(O) \
	$(NAME)_res.$(O)

$(PROG): $(OBJS) 
	$(CC) $(CFLAGS) -o $(PROG) $(OBJS) $(LDFLAGS)

$(NAME)_res.o: $(NAME).rc
	windres -i $(NAME).rc -o $(NAME)_res.o
clean:
	$(RM) $(PROG) *.$(O)

=== src/bulletml/Makefile ===
CC = g++
INCLUDES = -I.
LIBS = tinyxml/tinyxml.o tinyxml/tinyxmlparser.o tinyxml/tinyxmlerror.o
#CXXFLAGS = -g -W -Wall -ansi -pedantic
#CXXFLAGS = -pg -g -W -Wall -ansi -pedantic
CXXFLAGS = -O2 -W -Wall -ansi -pedantic
CFLAGS = -O2
OBJS = bulletmlparser-tinyxml.o bulletmlparser.o bulletmltree.o calc.o formula-variables.o bulletmlrunner.o bulletmlrunnerimpl.o

all: libbulletml.a

libbulletml.a: $(OBJS)
	$(MAKE) -C tinyxml
	$(AR) -r libbulletml.a *.o tinyxml/tiny*.o

clean:
	rm -f *.o *.a
	$(MAKE) -C tinyxml clean

calc.cpp: calc.yy
	bison -y   calc.yy && mv y.tab.c calc.cpp

$(OBJS): %.o: %.cpp
	$(CC) -c $(CXXFLAGS) $(INCLUDES) $<

doxy:
	doxygen

distdir:

=== debian/changelog ===
noiz2sa (0.51a-12) unstable; urgency=medium

  * d/control: Add Vcs fields.
  * Mark noiz2sa-data Multi-Arch: foreign.
  * Add deg-out-of-range.patch and fix a segmentation fault.
    Thanks to Zhang Xiang for the report. (Closes: #844335)

 -- Markus Koschany <apo@debian.org>  Tue, 02 Nov 2021 14:55:01 +0100

noiz2sa (0.51a-11) unstable; urgency=medium

  * New maintainer. (Closes: #994641)
  * Switch to dh sequencer and source format 3.0 (quilt).
  * Use debhelper-compat = 13.
  * Fix FTCBFS: does not pass cross tools to make. Thanks to Helmut Grohne
    for the patch. (Closes: #923645)
  * Make the build reprodcuible. Thanks to Reiner Herrmann for the patch.
    (Closes: #845768)

 -- Markus Koschany <apo@debian.org>  Sat, 23 Oct 2021 22:21:13 +0200

noiz2sa (0.51a-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS when built with dpkg-buildpackage -A. (Closes: #805953)

 -- Markus Koschany <apo@debian.org>  Wed, 28 Sep 2016 19:15:43 +0200

noiz2sa (0.51a-10) unstable; urgency=medium

  * Maintenance Release
    * Added debhelper misc-depends
    * Added recommended default targets to debian/rules
    * Use dh_prep instead of dh_clean
    * Switch to debhelper compat level 7
    * Removed debian/watch
    * Added debian/source/format
    * Update debian/rules with some hardening flags
    * Set standards-version to 3.9.8

 -- Robert Lemmen <robertle@semistable.com>  Sat, 11 Jun 2016 08:43:55 +0100

noiz2sa (0.51a-9) unstable; urgency=low

  * Link with -lm (closes: #555774)
  * Fixed some conversion errors (closes: #646453)
  * Added a .desktop files (closes: #538036)
  * Update to newer policy version

 -- Robert Lemmen <robertle@semistable.com>  Wed, 16 Nov 2011 17:58:48 +0000

noiz2sa (0.51a-8) unstable; urgency=low

  * More fixes for GCC 4.3 (closes: #455140)
  * Fixed the uscan watch file (closes: #450021)

 -- Robert Lemmen <robertle@semistable.com>  Wed,  5 Mar 2008 17:50:27 +0000

noiz2sa (0.51a-7) unstable; urgency=low

  * Added a menu item

 -- Robert Lemmen <robertle@semistable.com>  Tue, 28 Aug 2007 18:27:01 +0200

noiz2sa (0.51a-6) unstable; urgency=low

  * Include additional headers to make noiz2sa build with GCC 4.3 
    (closes: #417450)
  * Made the package binNMU-friendly

 -- Robert Lemmen <robertle@semistable.com>  Mon, 16 Apr 2007 10:04:30 +0200

noiz2sa (0.51a-5) unstable; urgency=low

  * Fixed a problem that made the build fail with g++ 4.1, thanks tbm
    (closes: #356424)

 -- Robert Lemmen <robertle@semistable.com>  Tue, 21 Mar 2006 09:49:26 +0100

noiz2sa (0.51a-4) unstable; urgency=low

  * Fixed the debian/rules file to properly pass compiler options to the
    makefiles (also fixes FTBFS problems on m68k)

 -- Robert Lemmen <robertle@semistable.com>  Fri, 19 Aug 2005 10:29:18 +0200

noiz2sa (0.51a-3) unstable; urgency=low

  * Rebuild for g++ transition
  * Updated to newer standards version

 -- Robert Lemmen <robertle@semistable.com>  Tue, 19 Jul 2005 10:56:44 +0200

noiz2sa (0.51a-2) unstable; urgency=low

  * Uses the libboost package now instead of it's own copy of the files
  * Makefile cleanups
  * Also clean tinyxml subdir

 -- Robert Lemmen <robertle@semistable.com>  Mon, 22 Nov 2004 19:26:48 +0100

noiz2sa (0.51a-1) unstable; urgency=low

  * Initial Release. (closes: #259066)

 -- Robert Lemmen <robertle@semistable.com>  Mon, 15 Nov 2004 11:37:18 +0100

=== debian/control ===
Source: noiz2sa
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 bison,
 debhelper-compat (= 13),
 libboost-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev
Standards-Version: 4.6.0
Homepage: http://www.asahi-net.or.jp/~cs8k-cyu/windows/noiz2sa_e.html
Vcs-Git: https://salsa.debian.org/games-team/noiz2sa.git
Vcs-Browser: https://salsa.debian.org/games-team/noiz2sa

Package: noiz2sa
Architecture: any
Depends:
 noiz2sa-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: abstract arcade shooter
 A classical vertical arcade shooter with an abstract theme and
 matching electronic music

Package: noiz2sa-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: abstract arcade shooter, data files
 This package contains sounds and other data files for noiz2sa, an abstract
 arcade shooter.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	RELEASE_CFLAGS="$(CFLAGS)" dh_auto_build --sourcedirectory=src/bulletml/tinyxml -- 'LD=$$(CXX)'
	CXXFLAGS="$(CXXFLAGS)" dh_auto_build --sourcedirectory=src/bulletml
	CXXFLAGS="$(CXXFLAGS)" MORE_CFLAGS="$(LDFLAGS)" dh_auto_build --sourcedirectory=src

override_dh_auto_clean:
	dh_auto_clean --sourcedirectory=src/bulletml/tinyxml clean
	dh_auto_clean --sourcedirectory=src/bulletml clean
	dh_auto_clean --sourcedirectory=src clean
